/**
 * @Author  HonorLee (dev@honorlee.me)
 * @Version 1.0 (2018-05-04)
 * @License MIT
 */

const colors = require('colors');

var Logger = {
    log:function(msg){
        if(Config.debug) console.log(`[${serverUID}][ LOG ][${Moment().format('HH:mm:ss')}] ${msg}`);
        if(Config.write_log_file) this.out('log',msg);
    },
    info:function(msg){
        console.log((`[${serverUID}][ INFO][${Moment().format('HH:mm:ss')}] ${msg}`).green);
        if(Config.write_log_file) this.out('info',msg);
    },
    debug:function(msg){
        if(Config.debug) console.log((`[${serverUID}][DEBUG][${Moment().format('HH:mm:ss')}] ${msg}`).yellow);
        // if(Config.write_log_file) this.out('debug',msg);
    },
    warn:function(msg){
        if(Config.debug) console.log((`[${serverUID}][ WARN][${Moment().format('HH:mm:ss')}] ${msg}`).magenta);
        if(Config.write_error_file) this.out('warn',msg);
    },
    error:function(msg){
        console.log((`[${serverUID}][ ERR ][${Moment().format('HH:mm:ss')}] ${msg}`).red);
        if(Config.write_error_file) this.out('error',msg);
    },
    out:function(level,msg){
        Tracer[level](msg);
    }
};

module.exports = Logger;
